Skip to content

Aurora API (v1.23.0-rc1)

Download OpenAPI description
Languages
Servers
Mock server
https://developer.provablemarkets.com/_mock/apis/connectapi
https://developer.provablemarkets.com

CompanyService

Methods to query companies

Operations

OmsEventsService

Operations

OmsService

Operations

ReportingService

Operations

ContractService

Operations

ContractEventsService

Operations

AgreementService

Operations

ContractRequestEventsService

Operations

ContractRequestService

Operations

InstrumentService

Operations

ExecutionEventsService

Operations

ExecutionService

Operations

VenueEventsService

Operations

VenueService

Operations

LoginService

Operations

LoginWithApiCredentials

Request

PATH: /aurora.core.apiengine.loginv1.LoginService/LoginWithApiCredentials

Request an access token. To identify, please request a client_id and secret from your representative at Provable Markets.

Please note the services expect a JWT Bearer Token. For instance, when you pass the access_token to a cURL request you will have to pass it in the header like this:

curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Unfortunately the keyword Bearer is currently missing from the examples.

Bodyapplication/jsonrequired
client_idstringrequired
secretstringrequired
curl -i -X POST \
  https://developer.provablemarkets.com/_mock/apis/connectapi/aurora.core.apiengine.loginv1.LoginService/LoginWithApiCredentials \
  -H 'Content-Type: application/json' \
  -d '{
    "client_id": "string",
    "secret": "string"
  }'

Responses

A successful response

Bodyapplication/json
access_tokenstringrequired

access token with a TTL of 1 week

Response
application/json
{ "access_token": "string" }